Package org.apache.sling.feature.maven.mojos

# Class FeatureSelectionConfig

java.lang.Object
org.apache.sling.feature.maven.mojos.FeatureSelectionConfig

Direct Known Subclasses:
  `Aggregate`, `Archive`, `Repository`, `Scan`

public class FeatureSelectionConfig extends Object

## Constructor Summary

Constructors
Constructor
Description
`FeatureSelectionConfig()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<String>`
`getFilesExcludes()`
`List<org.apache.sling.feature.maven.mojos.FeatureSelectionConfig.Selection>`
`getSelections()`
`int`
`hashCode()`
`void`
`setFilesExclude(String val)`
`void`
`setFilesInclude(String val)`
`void`
`setIncludeArtifact(org.apache.maven.model.Dependency a)`
`void`
`setIncludeClassifier(String classifier)`
`void`
`setRefsInclude(String val)`
Include refs files
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FeatureSelectionConfig

public FeatureSelectionConfig()

## Method Details

### setFilesInclude

public void setFilesInclude(String val)

### setFilesExclude

public void setFilesExclude(String val)

### setRefsInclude

public void setRefsInclude(String val)
Include refs files

Parameters:
  `val` - A pattern
Since:
  1.1.22

### setIncludeArtifact

public void setIncludeArtifact(org.apache.maven.model.Dependency a)

### setIncludeClassifier

public void setIncludeClassifier(String classifier)

### getFilesExcludes

public List<String> getFilesExcludes()

### getSelections

public List<org.apache.sling.feature.maven.mojos.FeatureSelectionConfig.Selection> getSelections()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`